<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <script>
      let edad = 18;

      if (edad >= 18) {
        //true
        console.log("Mayor de edad. [IF - true]");
      }

      if (edad > 17) {
        //true
        console.log("Mayor de edad");
      } else {
        //false
        console.log("Menor de edad");
      }

      if (edad >= 8) {
        console.log("Mayor de edad");
      } else {
        console.log("Menor de edad");
      }

      /* Operador ternario */
      let condicional = edad >= 18 ? "Mayor de edad [T]" : "Menor de edad [T]";
      console.log(condicional);

      /* else if */
      /* Saludos según el horario*/
      /* Buenos días 7 - 12 
        Buenas tardes: 13 - 19
        Buenas noches: 20 - 23
        Estoy durmiendo: 0 - 6
        */

      let horario = 8;

      if (horario >= 7 && horario <= 12) {
        console.log("Buenos días");
      } else if (horario >= 13 && horario <= 19) {
        console.log("Buenos tardes");
      } else if (horario >= 20 && horario <= 23) {
        console.log("Buenos noches");
      } else if (horario >= 0 && horario <= 6) {
        console.log("Estoy durmiendo");
      }

      console.log("--------SWITCH------");
      /* 
        domingo: 0
        lunes: 1
        martes: 2
        miercoles: 3
        jueves: 4
        viernes: 5
        sábado: 6        
        */

      let dia = 2;

      switch (dia) {
          /* Switch multi case */
        case 0:
        case 1:
        case 2:
            console.log("Domingo o lunes o martes");
        
        case 0:
          console.log("Domingo");
          break;

        case 1:
          console.log("Lunes");
          break;

        case 2:
          console.log("Martes");
          break;

        case 3:
          console.log("Miércoles");
          break;

        case 4:
          console.log("Jueves");
          break;

        case 5:
          console.log("Viernes");
          break;

        case 6:
          console.log("Sábado");
          break;

        default:
          console.log("No es un día de la semana");
          break;
      }

      console.log("--------REPETITIVAS-------")

      let incrementador = 0;

      /* Pregunta y si se cumple la condición ejecuta*/

      while (incrementador < 10) {
          console.log("while" + incrementador);
          incrementador = incrementador + 1;
      }
      
      let incrementadordw = 0;

      /* El código en DO WHILE se ejecuta por lo menos una vez y después pregunta*/

      do {
        console.log("do while" + incrementadordw);
          incrementadordw = incrementadordw + 1;
      } while (incrementadordw < 10);

      for (let i = 0; i < array.length; i++) {
          const element = array[i];
          
      }

    </script>
  </body>
</html>
